<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.jaspi-configuration.server-auth-modules">
    <annotation name="jboss-op">
        <elem name="name" value="list-add"/>
        <elem name="op-params" value="class-name,module,flag,options"/>
        <elem name="complex-attribute" value="server-auth-modules"/>
        <elem name="addr-params" value="profile,host,subsystem,jaspi-configuration"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron.jaspi-configuration"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="flag" nillable="true"/>
        <param name="module" nillable="true"/>
        <param name="profile" default="GLN_UNDEFINED"/>
        <param name="options" nillable="true"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem"/>
        <param name="jaspi-configuration"/>
        <param name="class-name"/>
    </params>
</feature-spec>